{ все ли элементы массива различны? }
var a:array[1..10] of integer;
    i,j:integer;
begin
     writeln('введите 10 элементов массива');
     for i:=1 to 10 do readln( a[i] );
     i:=1;
     while (i<10) and (j<11) do begin
       j:=i+1;
       while (j<11) and (a[i]<>a[j]) do inc(j);
       inc(i);
     end;
     if i<11 then writeln('в массиве есть одинаковые элементы')
             else writeln('все элементы массива различны');
end.

(*  -------------- вариант с циклом FOR ----------------- *)
var a:array[1..10] of integer;
    i,j:integer;
begin
     writeln('введите 10 элементов массива');
     for i:=1 to 10 do readln( a[i] );
     for i:=1 to 9 do begin
       for j:=i+1 to 10 do begin
          if a[i]=a[j] then break;
       end;
       if j<10 then break;
     end;
     if i<9 then writeln('в массиве есть одинаковые элементы')
             else writeln('все элементы массива различны');
end.
